Distribution:   CCux
Packager:	Simon Schmeisser <mail_to_wrt@gmx.de>

Name:		LTris
%define filename ltris
Version:	1.0.11
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://lgames.sourceforge.net
Group:		Games/Arcade
Source0:	%{filename}-%{version}.tar.gz
Source1:	%{filename}.desktop
Source2:	%{filename}.png
BuildRoot:	%{_tmppath}/%{filename}-buildroot
Summary:	LTris is a tetris clone with nice effects, graphics, and sounds.
Requires:	SDL SDL_mixer libpng
BuildRequires:	SDL-devel SDL_mixer-devel libpng-devel glibc-devel



%description
LTris as a tetris clone which means you have a bowl with blocks falling down. By rotating and moving the blocks you try to assemble whole lines which then disappear. LTris has three modes for this: Classic is the classical one where you play until the bowl becomes filled, Figures resets the bowl contents to a new figure for each level and adds suddenly appearing tiles and lines later on and Multiplayer where up to three players either controlled by human or CPU(!) compete and send completed lines to each other.
Even if you don't like Tetris you can download it, just to see your CPU in action in mode Demo.
For more details see: http://lgames.sourceforge.net

This is the best tetris clone i've played on linux so far, give it a try!

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{filename}-%{version}

%build
./configure --prefix=%_prefix \
				--disable-sdltest \
				--with-docdir=%_datadir/doc \
				--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir/{applications,pixmaps}
cp %{SOURCE1} $RPM_BUILD_ROOT%_datadir/applications
cp %{SOURCE2} $RPM_BUILD_ROOT%_datadir/pixmaps
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul 7 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 1.0.11-1
- Initial release
